Get Helm Chart
GET /api/v1/cluster/instances/kubernetes/helm/charts/name//version/. Kubernetes API reference.
Authorizations
Bearer token for the ZedCloud gateway user session
Headers
User-Agent specified id to track a request
Path Parameters
Name of the Helm chart (required). Example: 'nginx'
Version of the Helm chart (required). Example: '15.4.0'
Query Parameters
Identifier for the Helm chart repository (optional). Example: 'bitnami'. Defaults to local repository if not specified
Response
OK. Successfully retrieved Helm chart information.
Comprehensive Helm chart data containing chart details, configuration, and metadata
README content for the Helm chart
Application-specific README content
Configuration questions for the Helm chart
Default values for the Helm chart
Detailed chart metadata and information
Identifier for the Helm chart repository